h1 {
  font-size: clamp(2rem, 20vh, 4rem);
}

h2 {
  font-size: clamp(1rem, 10vh, 2.5rem);
}

p {
  font-size: clamp(1rem, 2.5vw, 2rem);
}

*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  text-decoration: none;
  list-style-type: none;
  box-sizing: border-box;
  user-select: none;
}

:root {
  /* COLORS */
  --primary-color: #ffffff;
  --secondary-color: #282828;
  --font-color: #555555;
  --box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px, rgb(51, 51, 51) 0px 0px 0px 3px;
}

html {
  width: clamp(320px, 100%, 100%);
}

body {
  width: clamp(319px, 100%, 1800px);
  height: 100vh;
  margin: auto;
  font-family: "Poppins", sans-serif;
  position: relative;
}

header {
  width: 100%;
  height: 70vh;
  padding: 10px;
  margin: auto;
  position: relative;
  display: grid;
  place-content: center;
  background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)),
    url("https://picsum.photos/720/560");
  background-color: var(--font-color);
  background-position: top 30% center;
  background-repeat: no-repeat;
  background-size: cover;
  gap: 5%;
}

nav {
  width: 100%;
  display: flex;
  flex-flow: nowrap row;
  align-items: center;
  justify-content: space-between;
  padding: 5px 5%;
  position: absolute;
  top: 0;
  left: 0;
  z-index: 999;
  background-color: transparent;
}

h2.logo {
  cursor: pointer;
  display: inline-block;
  line-height: 1.7;
  color: var(--primary-color);
  font-size: 2.5rem;
}

button.coffee {
  cursor: pointer;
  background-color: transparent;
  font-family: Poppins, sans-serif;
  font-size: 0.8rem;
  font-weight: 900;
  letter-spacing: 0.7px;
  border: none;
  color: var(--secondary-color);
  background-color: var(--primary-color);
  padding: 7px 20px;
}

.container {
  background-color: var(--primary-color);
  width: clamp(318px, 100%, 1440px);
  margin: auto;
}

header h2 {
  font-size: 3.5em;
  color: var(--primary-color);
  text-align: center;
  line-height: 1;
}

header form {
  width: fit-content;
  display: flex;
  flex-flow: nowrap row;
  gap: 2px;
  margin: auto;
  border: 3px solid var(--secondary-color);
  background-color: var(--primary-color);
  padding: 2px 2.5px;
}

form input:first-child {
  width: clamp(100%, 40vw, 500px);
  padding: 10px;
  font-family: "Poppins", sans-serif;
  font-size: 18px;
  font-weight: 500;
  border: none;
}

form input:last-child {
  font-family: "Poppins", sans-serif;
  cursor: pointer;
  border: none;
  font-weight: 600;
  letter-spacing: 0.7px;
  padding: 0 20px;
  color: var(--primary-color);
  background-color: var(--secondary-color);
}

main {
  width: 100%;
  height: fit-content;
  padding: 2%;
  overflow: auto;
  scroll-behavior: smooth;
}

[class^="column"] {
  display: float;
  float: left;
  width: 24%;
  margin: 0.5%;
}

main::after {
  content: "";
  display: table;
  clear: both;
}

[class^="column"] > .image-card {
  width: 100%;
  height: fit-content;
  margin-bottom: 1%;
  overflow: hidden;
  transition: transform 200ms;
  animation: reveal-card 1200ms 1;
}

@keyframes reveal-card {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}

[class^="column"] > .image-card:hover {
  transform: scale(1.01);
}

.spinner-container {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 10px;
  margin: 2pc auto;
}

.spinner-container .loading-spinner {
  width: 50px;
  aspect-ratio: 1/1;
  border: 10px solid transparent;
  border-top-color: var(--secondary-color);
  border-bottom-color: var(--secondary-color);
  border-radius: 50%;
  animation: spin 1500ms ease-in-out infinite;
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(calc(360 * 4deg));
  }
}

.spinner-offline {
  animation: none;
  color: var(--secondary-color);
  border: 4px solid var(--secondary-color);
  border-radius: 0;
  width: fit-content;
  padding: 5px;
  font-weight: 700;
  letter-spacing: 0.2px;
}

.loading-text {
  color: var(--secondary-color);
  letter-spacing: 0.7px;
}

#upgradeBtn {
  color: var(--primary-color);
  background-color: var(--secondary-color);
  font-weight: 500;
}
